Subject: Re: bug#44128: [feature/native-comp]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Apr 2021 09:52:37 +0300

> From: Phil Sainty <[email-masked]>
> Date: Thu, 15 Apr 2021 10:22:29 +1200
> Cc: Jonas Bernoulli <[email-masked]>, [email-masked], [email-masked]
> 
> On 15/04/21 1:48 am, Andrea Corallo via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
> > I think this question got answered by Eli's comment on bug#46790 :)
> > 
> > I've pushed 0c1fc9d581 that seams to work for me, please have a try.
> 
> I now get this behaviour:
> 
> $ emacs-native-comp -Q
> emacs: could not resolve realpath of "emacs-native-comp": No such file or directory
> 
> $ ls -l `which emacs-native-comp`
> lrwxrwxrwx 1 phil phil 48 Apr 14 00:01 /home/phil/bin/emacs-native-comp -> /home/phil/emacs/native-comp/usr/local/bin/emacs

Where in the Emacs sources does this message come from, please?  Bonus
points for explaining the reason(s) for that failure.

What happens if you call the symlink 'emacs' and not
'emacs-native-comp'?  What happens if you invoke it via a full
absolute file name, not relying on PATH?

Thanks.